package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.app.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PerfEvalSync extends CoreBillBase implements IPerfEvalSync
{
    public PerfEvalSync()
    {
        super();
        registerInterface(IPerfEvalSync.class, this);
    }
    public PerfEvalSync(Context ctx)
    {
        super(ctx);
        registerInterface(IPerfEvalSync.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DA5E4C49");
    }
    private PerfEvalSyncController getController() throws BOSException
    {
        return (PerfEvalSyncController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PerfEvalSyncCollection getPerfEvalSyncCollection() throws BOSException
    {
        try {
            return getController().getPerfEvalSyncCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PerfEvalSyncCollection getPerfEvalSyncCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPerfEvalSyncCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PerfEvalSyncCollection getPerfEvalSyncCollection(String oql) throws BOSException
    {
        try {
            return getController().getPerfEvalSyncCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PerfEvalSyncInfo getPerfEvalSyncInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPerfEvalSyncInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PerfEvalSyncInfo getPerfEvalSyncInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPerfEvalSyncInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PerfEvalSyncInfo getPerfEvalSyncInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPerfEvalSyncInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}